Version 1.2.12 Released

GearedGeek

Active member
Does this version still work with UCC 2.4.9? I tried importing the integration but I was getting errors.
 

Justin

Administrator
Staff member
This version no longer works with version 2.4.9 as there were some shared file changes. If you revert those shared file changes it should still work with the character controller but we will no longer be able to ensure compatibility with version 2 of the controller.
 

wuyan

Member
Version 2.1.11
Hi, version 1.2.11, right? Where can I download it? I am using UIS v1.2.9 and TPC 2.4.7. Even if I want to upgrade my project to TPC V3, I need to correctly upgrade it to v2.4.9 first. Is my understanding correct?
 

Justin

Administrator
Staff member
Ah, yes, version 1.2.11. There isn't a way to download previous version if you don't already have it. Right now if you were to import version 1.2.12 and version 2.4.9 of the controller there is a small parameter mismatch in one of the unity input methods. It's just a matter of removing that extra parameter in version 1.2.12.

For version 3 it is recommended that you update to version 2.4.9 of the controller first. There were only bug fixes though between those releases so really you should be able to upgrade to version 3 immediately.
 

wuyan

Member
Ah, yes, version 1.2.11. There isn't a way to download previous version if you don't already have it. Right now if you were to import version 1.2.12 and version 2.4.9 of the controller there is a small parameter mismatch in one of the unity input methods. It's just a matter of removing that extra parameter in version 1.2.12.

For version 3 it is recommended that you update to version 2.4.9 of the controller first. There were only bug fixes though between those releases so really you should be able to upgrade to version 3 immediately.
Thanks. Whether V3 can work with the legacy swim and climb pack at present.
 

Justin

Administrator
Staff member
The swim and climbing add-ons will require an update in order to work with v3. Once the holidays are over I'll back back to the remaining add-ons.
 

gamerickster

New member
So I have to upgrade to V3 to get this to work? I just upgraded to v3 and hope this works. It was almost a year ago that I bought V2.
 

Justin

Administrator
Staff member
Yes - going forward you will need version 3 of the controller in order for it to be compatible with the latest inventory release.
 

Fenda

Member
The swim and climbing add-ons will require an update in order to work with v3. Once the holidays are over I'll back back to the remaining add-ons.

Glad I read this! I was about to start converting scripts from the swim pack as I thought maybe it got discontinued.
 
Top